MOUNTD(8)

NAME
mountd - service remote NFS mount requests

SYNOPSIS
mountd [-dn] [exportsfile]

DESCRIPTION
mountd is the server for NFS mount requests from other client machines. mountd listens for service requests at the port indicated in the NFS server specification; see RFC1094, Appendix A and Appendix I.

Options and operands available for mountd:

-d  Enable debugging mode. mountd will not detach from the controlling terminal and will print debugging messages to stderr.

-n  Do not require that clients make requests from reserved ports. This option is only provided for backwards compatibility. Requests are checked for reserved ports on a per-export basis, see exports(5).

exportsfile
    The exportsfile argument specifies an alternative location for the exports file.

When mountd is started, it loads the export host addresses and options into the kernel using the mount(2) system call. After changing the exports file, a hangup signal should be sent to the mountd daemon to get it to reload the export information. After sending the SIGHUP (kill -s HUP `cat /var/run/mountd.pid`), check the syslog output to see if mountd logged any parsing errors in the exports file.

FILES
/etc/exports
    the list of exported filesystems
/var/run/mountd.pid
    the pid of the currently running mountd

SEE ALSO
nfsstat(1), exports(5), nfsd(8), portmap(8), showmount(8)

HISTORY
The mountd utility first appeared in 4.4BSD.